85% done, but now dead Bewertet mit 4 von 5 Sternen

This project appears to have been dead for some time now. The mailing list no longer exists, and the archives stopped abruptly in Jan 2012 (http://www.mozdev.org/pipermail/quotecollapse).

It works great, as far as it goes, and it can even be extended to include a very-helpful keybinding to toggle behavior by hacking via keyconfig as suggested here: http://quotecollapse.mozdev.org/customising.html. But the Style hacks are no longer applicable with current versions of Thunderbird, and since the community is dead I suppose we can't expect any updates such as properly integrated keybindings or customizations. What it is is what you get (unless somebody picks up the source and carries this on to completion).

It's annoying that it collapses all quotes completely - it should be tunable for context. But it's better than nothing particularly in long discussions with people who use inline comments or bottom posting without trimming any content.

Not enough context in collapsed quote Bewertet mit 2 von 5 Sternen

I would like to like this extension, it's very close to what I need but it fails on a couple of critical issues that I suspect would be easy to fix.

1) When a quote is collapsed there is not enough context to understand what the replier is referring to. There is only one line of context. Often the 1 line of context is either empty, or has something meaningless in it such as "Bob said:" or "I disagree". Then I'm left wondering Bob said what? Or what did they disagree with? This forces me to manually expand the collapsed quote which is problematic for a few reasons. I have to use the mouse to click on a tiny + button which is awkward, it may expand into a large quantity of text which scrolls off the screen and which I don't need to fully re-read in order to recall the conversation, I just need a few more lines of context. In fact I find I have to expand the last quote so often the value of collapsing prior quotes is dubious. Plus the keyboard shortcuts aren't the most friendly so I end up using the mouse.

2) There is no user preferences. I'd really like to be able configure such things as the number of context lines, what level of quoting expand/collapse when a message is initially displayed, define my own keyboard shortcuts, etc.

It's so close to being really useful, but each time I try it I end up disabling it because it often requires more interaction from me while reading email than when it's disabled.

Nice add-on! Bewertet mit 4 von 5 Sternen

I like this add-on. It did the hard work of adding a very useful feature to Thunderbird to hide quotes. There is still a little more work to be done in terms of preferences and keyboard shortcuts as some of the other reviewers have suggested.

Here is some code that can be used with the keyconfig addon to add a keyboard shortcut to toggle expanding and collapsing all quotations in a message.

tree = QuoteCollapse._messagePane.contentDocument.getElementsByTagName("blockquote");

if (tree.item(0).getAttribute("qctoggled") == "true") {
QuoteCollapse._setTree(QuoteCollapse._messagePane.contentDocument, 0);
}
else {
QuoteCollapse._setTree(QuoteCollapse._messagePane.contentDocument, 1);
}

If you want separate commands for expanding and collapsing, just use

QuoteCollapse._setTree(QuoteCollapse._messagePane.contentDocument, 1);

to expand all and

QuoteCollapse._setTree(QuoteCollapse._messagePane.contentDocument, 0);

to collapse all.

Bewertet mit 3 von 5 Sternen

Holding down CTRL or CTRL+SHIFT does nothing.
Instead of "holding down CTRL SHIFT" to collapse/expand all, maybe a hotkey like "E" and "C" would be better.

This addon would rule if it weren't for that. Since I don't have a mouse most of this time, the fact that the hotkey doesn't work makes it unusable, and I need to actually disable it (since there is no workaround either).

Also, double clicking on any part of the line of the quoted text to expand it might work too. (Even with a mouse, I have a very hard time aiming at the tiny "+" icon)

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

How to get version 0.8 to work with TB 2.0.0.23 Bewertet mit 5 von 5 Sternen

@syman: Can you please explain how you got version 0.8 to work with TB 2.0.0.23? I run the same version, set extension.checkCompatibility to false in about:config but it is still telling me the version 0.8 is not compatible. Please elaborate as it is a great add-on.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

How to get version 0.8 to work with TB 2.0.0.23 Bewertet mit 5 von 5 Sternen

@syman: Can you please explain how you got version 0.8 to work with TB 2.0.0.23? I run the same version, set extension.checkCompatibility to false in about:config but it is still telling me the version 0.8 is not compatible. Please elaborate as it is a great add-on.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Bewertet mit 5 von 5 Sternen

Very useful addon.

@madmaxbt00 Version 0.8 works fine with TB 2.0.0.23 when you disable the compatibility check. This can be done at installation time and in the addon-list via context menu. I am using this combination, too.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Bewertet mit 5 von 5 Sternen

could not live w/o it. In my work it is common to have ten people reply to a message quoting all or part of it, now I get the important parts in a second instead of scrolling through pages of stuff

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Version for SeaMonkey2 Bewertet mit 2 von 5 Sternen

Would like to see a version for SM2 SM2 mail/new code is the same as code used for Thunderbird.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Not Compatible Bewertet mit 1 von 5 Sternen

I am having the same problem as Mr_Nick. I am using Thunderbird version 2.0.0.23 and get the following error when installing QuoteCollapse version 0.7:
"QuoteCollapse 0.7 could not be installed because it is not compatible with Thunderbird 2.0.0.23. (QuoteCollapse 0.7 will only work with Thunderbird versions from 0.7 to 1.5.0.*)"
I have tried other versions of QuoteCollapse to no avail.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Bewertet mit 5 von 5 Sternen

If you're a power newsgroup reader, this addon is quite handy and will help you read a lot more messages in a lot less time. As a suggestion, it would be nice if it included the option to add a space between the collapsed text and the message text since some posters are sloppy in their posting.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Hack for making it work on thunderbird 2.0 Bewertet mit 5 von 5 Sternen

Making quotecollapse work on thunderbird 2.0.0 (ubuntu 9.10 as of today - 12/19/2009)
git clone http://repo.or.cz/r/QuoteCollapse.git
cd QuoteCollapse
git checkout -b 0.7 4876dd9
git checkout -b thunder-2.0-hack
save the following patch
http://pastebin.mozilla.org/?dl=691740
git am patch
cd src
zip -r quotecollapse-0.7-mod.xpi install.* chrome*

and then use the quotecollapse-0.7-mod.xpi for thunderbird

For those interested in a quick download, here it is:
http://www.2shared.com/file/10089899/7625d4f5/quotecollapse-07-mod.html

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Thunderbird 2.0.0.23? Bewertet mit 3 von 5 Sternen

I'm using Thunderbird 2.0.0.23 and i tried to install Version 0.7 but it doesn't install. I receive a message that says Version 0.7 is not compatible with Thunderbird 2.0.0.23.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.8) abgegeben. 

Bewertet mit 5 von 5 Sternen

I'd also suggest giving an option to make expand threads by default. (See also "Just a Little More..." above)

Great add-on!

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

Just a Little More... Bewertet mit 4 von 5 Sternen

Any chance you could add some preferences like having the threads expanded by default. I'd prefer to have the emails expanded by default so I can then collapse what I want. The current default is the opposite (i.e. all collapsed).

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

Incredibly usefull, makes newsgroups so much more readable Bewertet mit 5 von 5 Sternen

Just does what it says, and even more.

lymanrb:
> it would be nicer if there's an option that allows
> me to expand the last level quote by default.
There is:
http://quotecollapse.mozdev.org/customising.html#style

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

QuoteCollapse Bewertet mit 5 von 5 Sternen

This *exactly* what I was looking for! :D
5/5

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

Bewertet mit 4 von 5 Sternen

very useful tool! it would be nicer if there's an option that allows me to expand the last level quote by default.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

Great tool Bewertet mit 5 von 5 Sternen

Great tool. Thank you.

Can this add-on show up when I search for "e-mail threads" because I couldn't easily find it.

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben. 

very useful tool Bewertet mit 5 von 5 Sternen

thank u very much for this useful too

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.7) abgegeben.